Module org.hsqldb
Package org.hsqldb.lib

## Class CharArrayWriter

- java.lang.Object
- - org.hsqldb.lib.CharArrayWriter

-     public class CharArrayWriter
      extends java.lang.Object

  A writer for char strings.
  Since:
    1.9.0
  Author:
    Fred Toussi (fredt@users dot sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CharArrayWriter​(char[] buffer)` |
    `CharArrayWriter​(int size)` |
    `CharArrayWriter​(java.io.Reader reader)` |
    `CharArrayWriter​(java.io.Reader reader, int length)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `char[]` | `getBuffer()` |
    `void` | `reset()` |
    `void` | `reset​(char[] buffer)` |
    `void` | `setSize​(int newPos)` |
    `int` | `size()` |
    `char[]` | `toCharArray()` |
    `java.lang.String` | `toString()` |
    `void` | `write​(int c)` |
    `int` | `write​(java.io.Reader reader, int length)` |
    `void` | `write​(java.lang.String str, int off, int len)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CharArrayWriter

          public CharArrayWriter​(int size)

    - #### CharArrayWriter

          public CharArrayWriter​(char[] buffer)

    - #### CharArrayWriter

          public CharArrayWriter​(java.io.Reader reader,
                                 int length)
                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### CharArrayWriter

          public CharArrayWriter​(java.io.Reader reader)
                          throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### write

          public void write​(int c)

    - #### write

          public int write​(java.io.Reader reader,
                           int length)
                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### write

          public void write​(java.lang.String str,
                            int off,
                            int len)

    - #### reset

          public void reset()

    - #### reset

          public void reset​(char[] buffer)

    - #### toCharArray

          public char[] toCharArray()

    - #### getBuffer

          public char[] getBuffer()

    - #### size

          public int size()

    - #### setSize

          public void setSize​(int newPos)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`